#version 330 core
out vec4 FragColor;
in vec2 TexCoords;

uniform sampler2D bloomMap;

float weight[5] = float[] (0.227027, 0.1945946, 0.1216216, 0.054054, 0.016216);

void main()
{             
     vec2 tex_offset = 1.0 / textureSize(bloomMap, 0); // gets size of single texel
     vec3 result = texture(bloomMap, TexCoords).rgb * weight[0];
     for(int i = 1; i < 5; ++i)
	 {
		result += texture(bloomMap, TexCoords + vec2(tex_offset.x * i, 0.0)).rgb * weight[i];
		result += texture(bloomMap, TexCoords - vec2(tex_offset.x * i, 0.0)).rgb * weight[i];
	 }
     FragColor = vec4(result, 1.0);
}