#version 330 core
out vec4 color;

struct Material {
    sampler2D diffuse;
}; 

in vec2 TexCoords;
in vec3 FragPos;  
in vec3 Normal;  

uniform Material material;
uniform vec3 lightPos;

void main()
{
	vec3 lightColor = vec3(1.0f,1.0f,1.0f);
	
    float ambientStrength = 0.1f;
    vec3 ambient = ambientStrength * lightColor;
  	
    vec3 norm = normalize(Normal);
    vec3 lightDir = normalize(lightPos - FragPos);
    float diff = max(dot(norm, lightDir), 0.0);
    vec3 diffuse = diff * lightColor;
    
    vec3 result = (ambient + diffuse) * texture(material.diffuse, TexCoords).rgb;
    color = vec4(result, 1.0f);
} 